var logger = require("topsin.logger");
logger.loadConfig({
  'appender': {
    console: {
      'type': 'console',
      'typefilter': '*',
      'format': '{TIME} [{TYPE}]:{MSG}'
    },
    file: {
      'type': 'file',
      'typefilter': 'INFO,SQL,ERROR,WARN,FATAL',
      'filename': 'C:/Users/Administrator/AppData/Local/daq/test.log',
      'format': '{TIME} [{TYPE}]:{MSG}'
    },
    rollingfile: {
      'type': 'rollingfile',
      'typefilter': 'ERROR,WARN,FATAL',
      'intervaltype': 'daily',
      'filename': 'C:/Users/Administrator/AppData/Local/daq/test.log',
      'maxfilesize': 2048,
      'maxfilecount': 20,
      'format': '{TIME} [{TYPE}]:{MSG}'
    }
  }
});
logger.fatal("fucking demo.", "testModule", "console");
logger.info("fucking info.");